Package mvpa :: Package misc :: Module args

[hide private]
[frames] | no frames]

# Module args

source code

Helpers for arguments handling.

Functions | [hide private]

split_kwargs(kwargs, prefixes=[]) Helper to separate kwargs into multiple groups | source code

group_kwargs(prefixes, assign=False, passthrough=False) Decorator function to join parts of kwargs together | source code

Function Details | [hide private]

### split_kwargs(kwargs, prefixes=[])

source code

Helper to separate kwargs into multiple groups

Parameters:
  - `prefixes` (list of basestrings) - Each entry sets a prefix which puts entry with key starting with it into a separate group. Group '' corresponds to 'leftovers'

### group_kwargs(prefixes, assign=False, passthrough=False)

source code

Decorator function to join parts of kwargs together

Example: if needed to join all args which start with 'slave<underscore>' together under slave_kwargs parameter

Parameters:
  - `prefixes` (list of basestrings) - Prefixes to split based on. See split_kwargs
  - `assign` (bool) - Flag to assign the obtained arguments to self._<prefix>_kwargs
  - `passthrough` (bool) - Flag to pass joined arguments as <prefix>_kwargs argument. Usually it is sufficient to have either assign or passthrough. If none of those is True, decorator simply filters out mentioned groups from being passed to the method